Create a webhook
post
Authorizations
defguard_sessionstringRequired
Body
descriptionstringRequired
enabledbooleanRequired
on_hwkey_provisionbooleanRequired
on_user_createdbooleanRequired
on_user_deletedbooleanRequired
on_user_modifiedbooleanRequired
tokenstringRequired
urlstringRequired
Responses
201
Webhook created.
No content
400
Unable to save the webhook.
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to create webhook.
application/json
post/api/v1/webhook
POST /api/v1/webhook HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"description": "text",
"enabled": true,
"on_hwkey_provision": true,
"on_user_created": true,
"on_user_deleted": true,
"on_user_modified": true,
"token": "text",
"url": "text"
}No content
Last updated
Was this helpful?